Loading...
Searching...
No Matches
reservible_container Interface Reference
Utility » Container

A more refined container concept than seqan3::random_access_container. More...

`#include <seqan3/utility/container/concept.hpp>`

Inheritance diagram for reservible_container:
[legend]

## Detailed Description

A more refined container concept than seqan3::random_access_container.

Adds requirements for .reserve(), .capacity() and .shrink_to_fit(). Satisfied by std::vector and std::basic_string.

Attention
  std::array, std::forward_list, std::list and std::deque do not satisfy this concept.

This entity is not part of the SeqAn API. Do not rely on it in your applications. Exposition only.

The documentation for this interface was generated from the following file:

- utility/container/concept.hpp

Hide me